Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Mehrere Probleme in OpenSSL
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in OpenSSL
ID: FEDORA-2015-4300
Distribution: Fedora
Plattformen: Fedora 20
Datum: Mo, 23. März 2015, 10:38
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-0209
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-0286
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-0287
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-0288
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-0289
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-0292
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-0293

Originalnachricht

Name        : openssl
Product : Fedora 20
Version : 1.0.1e
Release : 42.fc20
URL : http://www.openssl.org/
Summary : Utilities from the general purpose cryptography library with TLS
implementation
Description :
The OpenSSL toolkit provides support for secure communications between
machines. OpenSSL includes a certificate management tool and shared
libraries which provide various cryptographic algorithms and
protocols.

-------------------------------------------------------------------------------
-
Update Information:

Security fix for CVE-2015-0209, CVE-2015-0289, CVE-2015-0292, CVE-2015-0287,
CVE-2015-0286, CVE-2015-0288

-------------------------------------------------------------------------------
-
ChangeLog:

* Thu Mar 19 2015 Tomáš Mráz <tmraz@redhat.com> 1.0.1e-42
- fix CVE-2015-0209 - potential use after free in d2i_ECPrivateKey()
- fix CVE-2015-0286 - improper handling of ASN.1 boolean comparison
- fix CVE-2015-0287 - ASN.1 structure reuse decoding memory corruption
- fix CVE-2015-0289 - NULL dereference decoding invalid PKCS#7 data
- fix CVE-2015-0292 - integer underflow in base64 decoder
- fix CVE-2015-0293 - triggerable assert in SSLv2 server
* Tue Jan 13 2015 Tomáš Mráz <tmraz@redhat.com> 1.0.1e-41
- fix CVE-2014-3570 - incorrect computation in BN_sqr()
- fix CVE-2014-3571 - possible crash in dtls1_get_record()
- fix CVE-2014-3572 - possible downgrade of ECDH ciphersuite to non-PFS state
- fix CVE-2014-8275 - various certificate fingerprint issues
- fix CVE-2015-0204 - remove support for RSA ephemeral keys for non-export
ciphersuites and on server
- fix CVE-2015-0205 - do not allow unauthenticated client DH certificate
- fix CVE-2015-0206 - possible memory leak when buffering DTLS records
- add ECC TLS extensions to DTLS (#1119803)
- do not send ECC ciphersuites in SSLv2 client hello (#1090955)
- copy digest algorithm when handling SNI context switch
* Thu Oct 16 2014 Tomáš Mráz <tmraz@redhat.com> 1.0.1e-40
- fix CVE-2014-3567 - memory leak when handling session tickets
- fix CVE-2014-3513 - memory leak in srtp support
- add support for fallback SCSV to partially mitigate CVE-2014-3566
(padding attack on SSL3)
- print ephemeral key size negotiated in TLS handshake (#1057715)
* Fri Aug 8 2014 Tomáš Mráz <tmraz@redhat.com> 1.0.1e-39
- fix CVE-2014-3505 - doublefree in DTLS packet processing
- fix CVE-2014-3506 - avoid memory exhaustion in DTLS
- fix CVE-2014-3507 - avoid memory leak in DTLS
- fix CVE-2014-3508 - fix OID handling to avoid information leak
- fix CVE-2014-3509 - fix race condition when parsing server hello
- fix CVE-2014-3510 - fix DoS in anonymous (EC)DH handling in DTLS
- fix CVE-2014-3511 - disallow protocol downgrade via fragmentation
* Thu Jun 5 2014 Tomáš Mráz <tmraz@redhat.com> 1.0.1e-38
- fix CVE-2010-5298 - possible use of memory after free
- fix CVE-2014-0195 - buffer overflow via invalid DTLS fragment
- fix CVE-2014-0198 - possible NULL pointer dereference
- fix CVE-2014-0221 - DoS from invalid DTLS handshake packet
- fix CVE-2014-0224 - SSL/TLS MITM vulnerability
- fix CVE-2014-3470 - client-side DoS when using anonymous ECDH
* Mon Apr 7 2014 Dennis Gilmore <dennis@ausil.us> - 1.0.1e-37.1
- pull in upstream patch for CVE-2014-0160
- removed CHANGES file portion from patch for expediency
* Tue Jan 7 2014 Tomáš Mráz <tmraz@redhat.com> 1.0.1e-37
- fix CVE-2013-4353 - Invalid TLS handshake crash
- fix CVE-2013-6450 - possible MiTM attack on DTLS1
* Fri Dec 20 2013 Tomáš Mráz <tmraz@redhat.com> 1.0.1e-36
- fix CVE-2013-6449 - crash when version in SSL structure is incorrect
- more FIPS validation requirement changes
- do not apply the no-md5-verify patch in released Fedora branches
* Wed Dec 18 2013 Tomáš Mráz <tmraz@redhat.com> 1.0.1e-35
- drop weak ciphers from the default TLS ciphersuite list
- add back some symbols that were dropped with update to 1.0.1 branch
- more FIPS validation requirement changes
* Tue Nov 19 2013 Tomáš Mráz <tmraz@redhat.com> 1.0.1e-34
- fix locking and reseeding problems with FIPS drbg
* Fri Nov 15 2013 Tomáš Mráz <tmraz@redhat.com> 1.0.1e-33
- additional changes required for FIPS validation
* Wed Nov 13 2013 Tomáš Mráz <tmraz@redhat.com> 1.0.1e-32
- disable verification of certificate, CRL, and OCSP signatures
using MD5 if OPENSSL_ENABLE_MD5_VERIFY environment variable
is not set
* Fri Nov 8 2013 Tomáš Mráz <tmraz@redhat.com> 1.0.1e-31
- add back support for secp521r1 EC curve
- add aarch64 to Configure (#969692)
-------------------------------------------------------------------------------
-
References:

[ 1 ] Bug #1202366 - CVE-2015-0286 openssl: invalid pointer use in
ASN1_TYPE_cmp()
https://bugzilla.redhat.com/show_bug.cgi?id=1202366
[ 2 ] Bug #1202384 - CVE-2015-0289 openssl: PKCS7 NULL pointer dereference
https://bugzilla.redhat.com/show_bug.cgi?id=1202384
[ 3 ] Bug #1202404 - CVE-2015-0293 openssl: assertion failure in SSLv2
servers
https://bugzilla.redhat.com/show_bug.cgi?id=1202404
[ 4 ] Bug #1196737 - CVE-2015-0209 openssl: use-after-free on invalid EC
private key import
https://bugzilla.redhat.com/show_bug.cgi?id=1196737
[ 5 ] Bug #1202380 - CVE-2015-0287 openssl: ASN.1 structure reuse memory
corruption
https://bugzilla.redhat.com/show_bug.cgi?id=1202380
[ 6 ] Bug #1202395 - CVE-2015-0292 openssl: integer underflow leading to
buffer overflow in base64 decoding
https://bugzilla.redhat.com/show_bug.cgi?id=1202395
[ 7 ] Bug #1202418 - CVE-2015-0288 openssl: X509_to_X509_REQ NULL pointer
dereference
https://bugzilla.redhat.com/show_bug.cgi?id=1202418
-------------------------------------------------------------------------------
-

This update can be installed with the "yum" update program. Use
su -c 'yum update openssl' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key. More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
-------------------------------------------------------------------------------
-
_______________________________________________
package-announce mailing list
package-announce@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/package-announce
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung